Parameters
Platform and institution parameters, inherited across levels.
Read the institution's parameters
GET /instituicoes/{instituicaoId}/parametros
Access: Requires the capability ADMINISTRAR over institution (params.instituicaoId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
instituicaoId | string (uuid) | yes | Institution id. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
nivel | "plataforma" | "instituicao" | yes | ||
valores | object | yes | ||
herdados | object | yes |
On error: ErroApi model.
Example
curl -X GET "$API/instituicoes/{instituicaoId}/parametros" -H "Authorization: Bearer $TOKEN"Update the institution's parameters
PUT /instituicoes/{instituicaoId}/parametros
Access: Requires the capability ADMINISTRAR over institution (params.instituicaoId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
instituicaoId | string (uuid) | yes | Institution id. |
Request body (ParametrosInstituicaoAtualizar)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
turma.tolerancia_antes_min | integer or null | no | 0…720 | |
turma.tolerancia_depois_min | integer or null | no | 0…720 | |
senha.tamanho_minimo | integer or null | no | 8…128 | |
senha.historico | integer or null | no | 0…24 | |
senha.intervalo_min_horas | integer or null | no | 0…168 | |
sessao.expira_dias | integer or null | no | 1…365 | |
auditoria.retencao_meses | integer or null | no | 1…240 | |
lembrete.atividade_antecedencia_min | integer or null | no | 0…1440 | |
lembrete.avaliador_pendencia_horas | integer or null | no | 0…168 | |
notificacao.silencio_inicio_h | integer or null | no | 0…23 | |
notificacao.silencio_fim_h | integer or null | no | 0…23 | |
sus.convite_intervalo_dias | integer or null | no | 0…730 | |
feedback.prazo_dias | integer or null | no | 0…180 | |
chat.retencao_meses | integer or null | no | 1…240 |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
nivel | "plataforma" | "instituicao" | yes | ||
valores | object | yes | ||
herdados | object | yes |
On error: ErroApi model.
Example
curl -X PUT "$API/instituicoes/{instituicaoId}/parametros" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{}'Read the platform parameters
GET /parametros
Access: Requires the capability PLATAFORMA. Success status: 200.
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
nivel | "plataforma" | "instituicao" | yes | ||
valores | object | yes | ||
herdados | object | yes |
On error: ErroApi model.
Example
curl -X GET "$API/parametros" -H "Authorization: Bearer $TOKEN"Update the platform parameters
PUT /parametros
Access: Requires the capability PLATAFORMA. Success status: 200.
Request body (ParametrosPlataformaAtualizar)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
turma.tolerancia_antes_min | integer or null | no | 0…720 | |
turma.tolerancia_depois_min | integer or null | no | 0…720 | |
senha.tamanho_minimo | integer or null | no | 8…128 | |
senha.historico | integer or null | no | 0…24 | |
senha.intervalo_min_horas | integer or null | no | 0…168 | |
sessao.expira_dias | integer or null | no | 1…365 | |
auditoria.retencao_meses | integer or null | no | 1…240 | |
dados.retencao_meses | integer or null | no | 1…240 | |
lembrete.atividade_antecedencia_min | integer or null | no | 0…1440 | |
lembrete.avaliador_pendencia_horas | integer or null | no | 0…168 | |
notificacao.silencio_inicio_h | integer or null | no | 0…23 | |
notificacao.silencio_fim_h | integer or null | no | 0…23 | |
sus.convite_intervalo_dias | integer or null | no | 0…730 | |
feedback.prazo_dias | integer or null | no | 0…180 | |
chat.retencao_meses | integer or null | no | 1…240 | |
notificacao.retencao_dias | integer or null | no | 1…3650 |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
nivel | "plataforma" | "instituicao" | yes | ||
valores | object | yes | ||
herdados | object | yes |
On error: ErroApi model.
Example
curl -X PUT "$API/parametros" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{}'